org.springframework.aop

## Interface AfterReturningAdvice

- All Superinterfaces:
    Advice, AfterAdvice
  All Known Implementing Classes:
    AspectJAfterReturningAdvice

      public interface AfterReturningAdvice
      extends AfterAdvice

  After returning advice is invoked only on normal method return, not if an exception is thrown. Such advice can see the return value, but cannot change it.
  Author:
    Rod Johnson
  See Also:
    `MethodBeforeAdvice`, `ThrowsAdvice`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterReturning(Object returnValue, Method method, Object[] args, Object target)` Callback after a given method successfully returned.

- - ### Method Detail

    - #### afterReturning

          void afterReturning(Object returnValue,
                            Method method,
                            Object[] args,
                            Object target)
                              throws Throwable

      Callback after a given method successfully returned.
      Parameters:
        `returnValue` - the value returned by the method, if any
        `method` - method being invoked
        `args` - arguments to the method
        `target` - target of the method invocation. May be `null`.
      Throws:
        `Throwable` - if this object wishes to abort the call. Any exception thrown will be returned to the caller if it's allowed by the method signature. Otherwise the exception will be wrapped as a runtime exception.